#ifndef TRADE_HPP_INCLUDED
#define TRADE_HPP_INCLUDED

#include <cstdint>
#include <vector>
#include <string>

class Trade
{
    public:
        static bool IsOpen();

        static std::vector<std::int32_t> GetMyOfferItemIDs();
        static std::vector<std::string> GetMyOfferItemNames();
        static std::vector<std::int32_t> GetMyOfferItemAmounts();

        static std::vector<std::int32_t> GetTheirOfferItemIDs();
        static std::vector<std::string> GetTheirOfferItemNames();
        static std::vector<std::int32_t> GetTheirOfferItemAmounts();


};

#endif // TRADE_HPP_INCLUDED
